Subject: Re: [RFT] powerpc: convert pseries_defconfig to use libata PATA drivers

From: Michael Ellerman <[email-masked]>
Date: Thu, 17 Nov 2016 23:04:15 +1100 (AEDT)

On Wed, 2016-03-02 at 15:50:29 UTC, Bartlomiej Zolnierkiewicz wrote:
> IDE subsystem has been deprecated since 2009 and the majority
> (if not all) of Linux distributions have switched to use
> libata for ATA support exclusively.  However there are still
> some users (mostly old or/and embedded non-x86 systems) that
> have not converted from using IDE subsystem to libata PATA
> drivers.  This doesn't seem to be good thing in the long-term
> for Linux as while there is less and less PATA systems left
> in use:
> 
> * testing efforts are divided between two subsystems
> 
> * having duplicate drivers for same hardware confuses users
> 
> This patch converts pseries_defconfig to use libata PATA
> drivers.
> 
> Signed-off-by: Bartlomiej Zolnierkiewicz <[email-masked]>

Applied to powerpc next, thanks.

https://git.kernel.org/powerpc/c/80269fe4203432168dae6e49770d64

cheers